link: release/21575
meta:
  added_date: 2023-10-16T02:28
  edited_date: 2023-10-16T02:31
  fetched_date: 2025-12-07T19:46
  ttl: 86400
  visitors: 105
name: SEGA AGES 2500 Series Vol.14 ALIEN SYNDROME
name_real: SEGA AGES 2500シリーズ Vol.14 エイリアンシンドローム
picture_full: https://media.vgm.io/products/47/12074/12074-1677485950.png
picture_small: https://thumb-media.vgm.io/products/47/12074/12074-1677485950.png
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=21575
